There's a way to define functions in templates. An example
is in deffun_function that creates a function named factorial.

<% 10! = &factorial(10)%>

It's also possible to make the function use vtree instead
of simplevars. There's an example of that in deffun_vtree.

<%&deffun_vtree_example($(cat.1020.), "extra info")%>
